#!/bin/bash

package=cmake
version=-2.8.10.2

progname=$0

source ../cascade-make/lib/cascade-lib.bash GEXT_ECHOPRINT ../.. $*

prefix=$GEXTECHOPRINT_INSTALLED

opt_run_untar $force_untar $auto_untar $package $version

opt_run_configure $force_config $auto_config $package $version $prefix \
   --system-curl \
   -- -DCURL_INCLUDE_DIR=$GEXTECHOPRINT_INSTALLED/include -DCURL_LIBRARY=$GEXTECHOPRINT_INSTALLED/lib/libcurl.so

opt_run_make $compile $package $version
opt_run_make $install $package $version "install"
opt_run_make $clean $package $version "clean"
opt_run_make $distclean $package $version "distclean"

opt_run_tarclean $tarclean $package $version

